package de.ivu.elect.business.email.entity;

import de.ivu.elect.jee.presentation.Icons;

public enum EmailVorgangStatusType {
  WIRD_VERSENDET {
    @Override
    public String getIcon(Icons icons) {
      return icons.getIconSend();
    }
  },
  ABGESCHLOSSEN_ERFOLGREICH {
    @Override
    public String getIcon(Icons icons) {
      return icons.getIconCheck();
    }
  },
  ABGESCHLOSSEN_MIT_FEHLERN {
    @Override
    public String getIcon(Icons icons) {
      return icons.getIconStatusError();
    }
  },
  ABGEBROCHEN {
    @Override
    public String getIcon(Icons icons) {
      return icons.getIconCancel();
    }
  };

  public abstract String getIcon(Icons icons);
}
